#
# spec file for package python-abseil
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without python2
Name:           python-abseil
Version:        0.9.0
Release:        bp156.3.2
Summary:        Abseil Python Common Libraries
License:        Apache-2.0
URL:            https://github.com/abseil/abseil-py
Source0:        https://github.com/abseil/abseil-py/archive/pypi-v%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-six
BuildArch:      noarch
%ifpython2
Requires:       python-enum34
%endif
# SECTION test requirements
BuildRequires:  %{python_module six}
%if %{with python2}
BuildRequires:  python-enum34
BuildRequires:  python-mock
%endif
# /SECTION
%python_subpackages

%description
This package is a collection of Python library code for building Python
applications. The code is collected from Google's own Python code base, and has
been extensively tested and used in production.
* Simple application startup
* Distributed commandline flags system
* Custom logging module with additional features
* Testing utilities

%prep
%setup -q -n abseil-py-pypi-v%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} $python smoke_tests/sample_app.py --echo smoke 2>&1 |grep 'echo is smoke.'
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} $python smoke_tests/sample_test.py 2>&1 | grep 'msg_for_test'

%files %{python_files}
%license LICENSE
%doc README.md
%{python_sitelib}/*

%changelog
* Wed Apr 22 2020 Tomáš Chvátal <tchvatal@suse.com>
- Fix build without python2
* Mon Mar  9 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.9.0:
  * work with python 3.8
* Tue Sep 10 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.8.0:
  * absltest.expectedFailureIf: a variant of unittest.expectedFailure that allows a condition to be given.
  * few bugfixes
* Thu Jul  4 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.7.1:
  * Various fixes
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Wed Oct 17 2018 Tomáš Chvátal <tchvatal@suse.com>
- Require enum34 also on runtime when on python2
- Install license
* Tue Oct 16 2018 cgoll@suse.com
- changed the source from absl-py-0.5.0.tar.gz to
  pypi-v0.5.0.tar.gz which also includes checks and
  enabled them.
* Tue Oct 16 2018 cgoll@suse.com
- Initial import from the abseil library version 0.5 with py2pack
